org.icefaces.ace.component.animation

## Class AnimationBehaviorHandlerBase

- java.lang.Object
- - javax.faces.view.facelets.TagHandler
  - - javax.faces.view.facelets.MetaTagHandler
    - - javax.faces.view.facelets.DelegatingMetaTagHandler
      - - javax.faces.view.facelets.FaceletsAttachedObjectHandler
        - - javax.faces.view.facelets.BehaviorHandler
          - - org.icefaces.ace.component.animation.AnimationBehaviorHandlerBase

- All Implemented Interfaces:
    javax.faces.view.AttachedObjectHandler, javax.faces.view.BehaviorHolderAttachedObjectHandler, javax.faces.view.facelets.FaceletHandler
  Direct Known Subclasses:
    AnimationBehaviorHandler

      public class AnimationBehaviorHandlerBase
      extends javax.faces.view.facelets.BehaviorHandler

  The ace:animation tag provides a way to animate standard JSF components. Animations are based on the jQuery effects utilities.

  For more information, see the Animation Wiki Documentation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BEHAVIOR_ID`
    `protected javax.faces.view.facelets.TagAttribute` | `duration`
    `protected javax.faces.view.facelets.TagAttribute` | `easing`
    `protected javax.faces.view.facelets.TagAttribute` | `effectObject`
    `protected javax.faces.view.facelets.TagAttribute` | `event`
    `protected javax.faces.view.facelets.TagAttribute` | `from`
    `protected javax.faces.view.facelets.TagAttribute` | `iterations`
    `protected javax.faces.view.facelets.TagAttribute` | `name`
    `protected javax.faces.view.facelets.TagAttribute` | `run`
    `protected javax.faces.view.facelets.TagAttribute` | `to`

    - ### Fields inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `delegateFactory`

    - ### Fields inherited from class javax.faces.view.facelets.TagHandler

      `nextHandler, tag, tagId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnimationBehaviorHandlerBase(javax.faces.view.facelets.BehaviorConfig config)`

  - ### Method Summary

    - ### Methods inherited from class javax.faces.view.facelets.BehaviorHandler

      `getBehaviorId, getEvent, getEventName, getTagHandlerDelegate`

    - ### Methods inherited from class javax.faces.view.facelets.FaceletsAttachedObjectHandler

      `applyAttachedObject, getAttachedObjectHandlerHelper, getFor`

    - ### Methods inherited from class javax.faces.view.facelets.DelegatingMetaTagHandler

      `apply, applyNextHandler, createMetaRuleset, getBinding, getTag, getTagAttribute, getTagId, isDisabled, setAttributes`

    - ### Methods inherited from class javax.faces.view.facelets.TagHandler

      `getAttribute, getRequiredAttribute, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.view.AttachedObjectHandler

      `applyAttachedObject, getFor`

- - ### Field Detail

    - #### BEHAVIOR_ID

          public static final java.lang.String BEHAVIOR_ID

      See Also:
        Constant Field Values

    - #### duration

          protected final javax.faces.view.facelets.TagAttribute duration

    - #### easing

          protected final javax.faces.view.facelets.TagAttribute easing

    - #### effectObject

          protected final javax.faces.view.facelets.TagAttribute effectObject

    - #### event

          protected final javax.faces.view.facelets.TagAttribute event

    - #### from

          protected final javax.faces.view.facelets.TagAttribute from

    - #### iterations

          protected final javax.faces.view.facelets.TagAttribute iterations

    - #### name

          protected final javax.faces.view.facelets.TagAttribute name

    - #### run

          protected final javax.faces.view.facelets.TagAttribute run

    - #### to

          protected final javax.faces.view.facelets.TagAttribute to

  - ### Constructor Detail

    - #### AnimationBehaviorHandlerBase

          public AnimationBehaviorHandlerBase(javax.faces.view.facelets.BehaviorConfig config)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.